[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindPrecessor

## Declaration

Source position: avl_tree.pp line 82

`public function TAVLTree.FindPrecessor(`
`ANode: TAVLTreeNode`
`):TAVLTreeNode;`

## Arguments

`ANode` |  | The node from which to start the search

## Function result

The preceding node

## Description

FindPrecessor returns the successor to ANode: this is the rightmost node in the left subtree, or the rightmost node above the node ANode. This can of course be Nil.

This method is used when a node must be inserted at the leftmost position.

## See also

TAVLTree.FindSuccessor |  | Find successor to node
TAVLTree.MoveDataLeftMost |  | Move data to the nearest left element

Documentation generated on: Feb 26 2014